<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button expand="block" routerLink="/accueil-enfants" routerDirection="backward">
        <ion-icon name="arrow-back">الرجوع</ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title  text-center>إضافة مهمة</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <form [formGroup]= "tacheForm" (ngSubmit)="formSubmit()">
  <ion-grid>
    <ion-row>
      <ion-col> 
        <ion-item>

      
        <ion-input formControlName="nom"></ion-input>
        <ion-label>إسم المهمة </ion-label>
        </ion-item>

      </ion-col>
    </ion-row>
    <hr class="new1">
   
    <hr class="new1">
    <ion-row>
      <ion-col>
        <ion-item>
          
          <ion-select formControlName="categorie" value="personnel" (ngModelChange)="onChange($event)">
            <ion-select-option value="tachespersonnel">مهمات شخصية</ion-select-option>
            <ion-select-option value="tacheprete">مهمات جاهزة</ion-select-option>
            <ion-select-option value="tacheadomicile">مهمات منزلية</ion-select-option>
            <ion-select-option value="tacheculturel">مهمات تثقيفبة,</ion-select-option>
            <ion-select-option value="autrestaches">مهمات اخرى</ion-select-option>
          </ion-select>
          <ion-label>نوعية المهمة</ion-label>
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col >
        <ion-item>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" formControlName="date_debut" display-timezone="utc" cancel-text="fermer" done-text="valider"
          monthShortNames="jan, fev, mar, avr, mai, juin, jui, aout, sep, oct, nov, dec" (ionChange)="change($event)"  min="{{today}}" max="2100-10-03"></ion-datetime>
          <ion-label>بداية المهمة</ion-label>  
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col>
        <ion-item>          
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" formControlName="date_fin" min="{{min}}" display-timezone="utc" cancel-text="fermer" done-text="valider"
          monthShortNames="jan, fev, mar, avr, mai, juin, jui, aout, sep, oct, nov, dec"></ion-datetime>
          <ion-label>نهاية المهمة</ion-label>
        </ion-item>
      </ion-col>
    </ion-row>
    <hr class="new1">
    <ion-row>
      <ion-col text-center>
        <ion-button (click)="closeModal()"  shape="full" expand="block">إلغاء</ion-button>
      </ion-col>
      <ion-col>
        <ion-button type="submit" color="primary" shape="full" expand="block">إضافة</ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
  </form>
 
</ion-content>
